import { BaseEnemy, enemyType } from "./BaseEnemy";

export class Small extends BaseEnemy{
    constructor(x:number,y:number){
        super();
        this.x = x;
        this.y = y;
    }

    addToViewPort(){
        var that = this;
        super.addToViewPort();
        that.setBody("9be580c2-c260-4217-84be-7ac7b9b1d9a6");
        that.health = 10;
        that.speedY = 1;
        that.speedVector.y = 8;
        that.hitW = 56;
        that.hitH = 50;
        that.enemyType = enemyType.normal;
    }

    updateSelf(){
        super.updateSelf();
        
    }
}